Subject: bug#4526: closed (Re: bug#4526: 23.1; shadowfile always fails)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 30 Aug 2018 12:56:03 +0000

Your bug report

#4526: 23.1; shadowfile always fails

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
4526: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4526
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4526: 23.1; shadowfile always fails
From: Michael Albinus <[email-masked]>
To: Bill Pemberton <[email-masked]>
Cc: [email-masked], [email-masked], Martin Apel <[email-masked]>
Date: Thu, 30 Aug 2018 14:54:46 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version:26.1

Michael Albinus <[email-masked]> writes:

Hi,

> It took several years, but now I have done it. Shadowfile.el has been
> rewritten to use Tramp file names.
>
> If you are using the latest Emacs 26.1, and you want to test this, you
> could download the changed shadowfile.el from
> <http://git.savannah.gnu.org/cgit/emacs.git/plain/lisp/shadowfile.el?h=emacs-26>.
> Otherwise, it will appear with the next Emacs release.

No response, I'm closing the bugs. Feel free to report if you encounter
further problems with shadowfile.el.

Best regards, Michael.

Subject: 23.1; shadowfile always fails
From: Bill Pemberton <[email-masked]>
To: [email-masked]
Date: Tue, 22 Sep 2009 16:15:31 -0400 (EDT)

Shadowfile is always failing because it is somehow always trying to
to run ssh scp -l wfp5p  -q -e none, which is wrong since there is no
hostname given.  I get the same error if I start emacs with -q, so it
doesn't appear to be anything in my startup files. 

In GNU Emacs 23.1.1 (x86_64-redhat-linux-gnu, GTK+ Version 2.16.5)
 of 2009-08-26 on xenbuilder4.fedora.phx.redhat.com
Windowing system distributor `The X.Org Foundation', version 11.0.10603901
configured using `configure  '--build=x86_64-redhat-linux-gnu' '--host=x86_64-redhat-linux-gnu' '--target=x86_64-redhat-linux-gnu' '--program-prefix=' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib64' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-dbus' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xft' '--with-xpm' '--with-x-toolkit=gtk' 'build_alias=x86_64-redhat-linux-gnu' 'host_alias=x86_64-redhat-linux-gnu' 'target_alias=x86_64-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  shell-dirtrack-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<down-mouse-1> <mouse-movement> <mouse-movement> <mouse-movement> 
<mouse-movement> <drag-mouse-1> M-x s h a <tab> i n 
i <tab> <return> M-x s h a <tab> d e i n <backspace> 
<backspace> f i n <tab> l <tab> <return> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <menu-bar> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <menu-bar> <help-menu> <send-emacs-bug
-report>

Recent messages:
Tramp: Waiting for prompts from remote shell
Tramp: Found remote shell prompt on `lc4.itc.virginia.edu'
Wrote /tmp/tramp.21217DdQ.priorities
and.priorities has auto save data; consider M-x recover-this-file
(New file)
Tramp: Opening connection for wfp5p@scp using scp...
Tramp: Waiting 60s for local shell to come up...
Tramp: Sending command `ssh scp -l wfp5p  -q -e none && exit || exit'
Tramp: Waiting for prompts from remote shell
File error: Process died
tramp-error: Process died